/*
 * $Id: error.h,v 1.6 1999/11/16 21:20:40 ashley Rel1.10 $
 */

/*----- error code definitions -----*/

enum errorcodes {
        Unclassified    ,
        Impossible      ,
        SyntaxError     ,
        OutOfMemory     ,
        UndefinedID     ,
        IdListExpect    ,
        IdExprUnmatch   ,
        RedeclareID     ,
        UndeclareID     ,
        StackOverflow   ,
        StackUnderflow  ,
        NotOpenshapeOrGraph ,
        TypeMismatch	,
	FuncExpect
} ;

#define ERRORSTRINGS                            \
        "%s"                                    ,\
        "impossible error occurs in %s"         ,\
        "syntax error"                          ,\
        "out of memory"                         ,\
        "undefined id: %s"                      ,\
        "id list expected"                      ,\
        "id list and expr list unmatched"       ,\
        "redeclared identifier: %s"             ,\
        "undeclared identifier: %s"             ,\
        "%sstack overflow"                      ,\
        "%sstack underflow"                     ,\
        "not openshape or graph: %s"            ,\
        "type mismatched"			,\
	"%s is not declared as a function"

extern void don_err(enum errorcodes, char *);
