/*
 * $Id: input_device.h,v 1.5 2001/07/27 17:34:19 cssbz Exp $
 */

struct input_device {		/* Input device */
  char       *name;		/* File name */
  short       type;		/* Device type: file / string */
  char       *ptr;		/* File-ptr / char-ptr */

  char       *sptr;		/* Pointer to buffer for strings */

  char        newline;		/* Newline read? */
  int         lineno;		/* Line number */
  int         lastc;		/* The forward char of last device */

  char        *linebuf;		/* Buffer to hold the current line (for error
				   messages) [Ash] */
  int         linebufsize;	/* Currently allocated size of linebuf
                                   [Ash] */
  int         charno;		/* Index of last read character in
                                   linebuf (for error messages) [Ash] */
  int         linebufend;	/* Index of last written character in
                                   linebuf (which might not be charno
                                   after flushRestOfLine) [Ash] */

#ifdef TTYEDEN
  int         usereadline;	/* whether to use readline or just
                                   simple getc [Ash] */
#endif

  Frame      *frame;		/* Frame */
  jmp_buf     begin;		/* Resume point when error occurred */
}           Input_Devices[16];  /* 15 levels of input */

extern struct input_device *Inp_Dev;
