/*
 * $Id: runset.h,v 1.4 1999/11/16 21:20:40 ashley Rel1.10 $
 */

typedef struct Action {
    char       *s;
    char       *master;
    struct Action *next;
}           Action;

typedef struct RunSet {
    int         nitems;
    struct Action *head;
    struct Action *tail;
}           RunSet;

extern void initRunSet(RunSet *);
extern void clearRunSet(RunSet *);
extern Action getAction(RunSet *);
extern void rmAction(RunSet *);
extern void addAction(RunSet *, char *, char *);

#ifdef DEBUG
extern void printRunSet(RunSet *);

#endif
extern void queue(char *, char *);
