/*
 * $Id: tree.h,v 1.4 1999/11/16 21:20:40 ashley Rel1.10 $
 */

struct node4 {
        int     type;
        int     op;
        struct node4 *left;
        struct node4 *right;
        struct node4 *mid;
        struct node4 *extra;
};

struct node3 {
        int     type;
        int     op;
        struct node4 *left;
        struct node4 *right;
        struct node4 *mid;
};

struct node2 {
        int     type;
        int     op;
        struct node4 *left;
        struct node4 *right;
};

struct node1 {
        int     type;
        int     op;
        struct node4 *left;
};

struct node0 {
        int     type;
        int     op;
        union {
                int     i;
                double  r;
                char    *s;
        } d;
};

typedef struct node4 node4;
typedef struct node3 node3;
typedef struct node2 node2;
typedef struct node1 node1;
typedef struct node0 node0;
typedef node4 *tree;

extern tree dtree0(), dtree1(), dtree2(), dtree3(), dtree4();

#define EMPTYTREE       (tree)0
#define Ivalue(expr)    ((node0*)expr)->d.i
#define Rvalue(expr)    ((node0*)expr)->d.r
#define Cvalue(expr)    ((node0*)expr)->d.s
#define Bvalue(expr)    ((node0*)expr)->d.i
#define Lexpr           expr->left
#define Mexpr           expr->mid
#define Rexpr           expr->right
#define Xexpr           expr->extra
#define Ltype           Lexpr->type
#define Mtype           Mexpr->type
#define Rtype           Rexpr->type
#define Xtype           Xexpr->type
#define Etype           expr->type
#define check_left()    count_expr(Lexpr)
#define check_right()   count_expr(Rexpr)
#define check_mid()     count_expr(Mexpr)
#define check_extra()   count_expr(Xexpr)
